> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/commands.md).

# Commands

Custom software can use the sendCommandToDevice method to send direct commands to the device. This section provides information about commonly used commands.

#### Discovery <a href="#id-7.1_discovery" id="id-7.1_discovery"></a>

To send a command to device, use:

```
public void sendCommandToDevice(String command)
```

Parameters: Use “C10206C20503840900” as command string for audio readers.

Return Value:

The following device information will be retrieved.

* Device SN, internal: Device serial number created by chip manufacturer. Use getDeviceSerial method to retrieve data.
* Device SN, MagTek: Device serial number created by MagTek. Use getDeviceSerialMagTek method to retrieve data.
* Device Firmware Part Number: Device firmware part number. Use getFirmware method to retrieve data.&#x20;
* Device Model Name: Device model name. Use getDeviceName method to retrieve data. Device TLV Version: Device TLV version. Use getTLVVersion method to retrieve data.
* Device Part Number: Device part number. Use getDevicePartNumber method to retrieve data. Capability - MSR: 0 = No MSR, 1 = MSR. Use getCapMSR method to retrieve data.

Capability - TRACKS:

* 0 = Supported tracks: None.
* 1 = Supported tracks: Track1.
* 2 = Supported tracks: Track2.
* 3 = Supported tracks: Track1, Track2.
* 4 = Supported tracks: Track3.
* 5 = Supported tracks: Track1, Track3.
* 6 = Supported tracks: Track2, Track3.
* 7 = Supported tracks: Track1, Track2, Track3.

Use getCapTracks method to retrieve data.

Capability - MagStripe Encryption:&#x20;

* 0 = No Encryption,&#x20;
* 1 = TripDES DUKPT.&#x20;

Use: getCapMagStripeEncryption method to retrieve data.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
